#!/usr/bin/env perl
use Getopt::Long;

my $CorpusSize=-1; #means just at the end
die if !GetOptions("CorpusSize=s" => \$CorpusSize);

my @hashCatsArray = ();

my %allCats = ();


my $count = 0;
my %firstCats = ();
push (@hashCatsArray, \%firstCats);
while (<STDIN>){
    if (m/Scaled/){
	#print "Found cnt: $count --  $_ \n";
	$count++;
    }
    if (m/\( (@[A-Z_\.\+\:\/]+)_[0-9]+-[0-9]+/){
	#print "FOUND $1 in $_\n";
	my $hash_ref = @hashCatsArray[-1];
	++$hash_ref->{$1};
	++$allCats{$1};
	
    } 
    if ($count==$CorpusSize+1){
	#push the current hash cats on to the array
	my %newHash = ();
	push (@hashCatsArray, \%newHash);
	$count=0;
    } 


}


my @skeys = reverse sort {$allCats{$a} <=> $allCats{$b}} keys %allCats;
foreach my $cat (@skeys){
    print "$cat:\t";
    foreach my $hash_ref (@hashCatsArray){
	if (defined($hash_ref->{$cat})){
	    print $hash_ref->{$cat},"\t";
	}else{
	    print "0\t";
	}
    }
    print "\n";
    
}


