#!/bin/tcsh -f
#Usage:
#cm2ibmtree.sh [inputfile] [outputfile]

set A = `expandfilename $1`
set B = `expandfilename $2`
echo "Input ${A}"
echo "Output ${B}"
pushd /SMT/Workplace/Nimish/TreeConverter/
java CMUTree $A $B.tmp R Y
cat $B.tmp | replace '#QuotationMark' '"' | replace '#LeftParen' '\(' | replace '#RightParen' '\)' | replace '[ ]+' ' ' | replace '[ ]+$' '' | sortsafe.sh -T /people/ashishv0/ | uniq -c | awk '{for(i=2; i<=NF; i++) printf("%s ", $i); print "|||",$1, "-1 0 -1"}' | fgrep -v '<s>' | fgrep -v '</s>' | replace '\|\|\|' '\|' | replace '(.*) \| (.*) \| (.*) ' '$2 \| $1 \| $3' > $B
rm -f $B.tmp
popd
