#!/usr/bin/env perl

use strict;
use warnings;
use Getopt::Long;

#my $Lowercasing = 0;
#my $TruecasingData = '';



#die if !GetOptions('Lowercasing!' => \$Lowercasing, 'TruecasingData=s' => \$TruecasingData);

# die "No text file with truecasing data specified (option --TruecasingData)" if (!$Lowercasing && !$TruecasingData);

while (<>) {
  chomp; # get rid of the newline symbol

  # convert numtag to an actual number, say, 2
  s/\bnumtag\b/2/g;
  
  my @tokens = split(' ',$_);
  my $sentence_start = 0;
  print STDERR "Error in coolpunct-parsing-pre line $. '$_': line doesn't start with punctuation mark\n" unless $tokens[0] =~ /^(\.|\!|\?)$/ ;
  for (my $i = 1; $i < scalar(@tokens); $i++) {
    #    if ($i == $sentence_start) {
    #    }
    if ($i == $#tokens || $tokens[$i] =~ /^(\.|\!|\?)$/) {
      $i++ if $i == $#tokens;
#      print $i . join(' ',@tokens[$sentence_start..$i]
      # the current token is an end-of-sentence mark (for the next sentence on the line) or the last token of the line
      # move last end-of-sentence mark to the end of this chunk
      #      @tokens[$sentence_start..$i-1] = (@tokens[$sentence_start+1..$i-1], $tokens[$sentence_start]);
      my $sentence_to_parse = join(' ',(@tokens[$sentence_start+1..$i-1], $tokens[$sentence_start]));

      # update sentence_start marker
      $sentence_start = $i;

      # send this sentence off for parsing
      print $sentence_to_parse . "\n";
    }
  }
  
  print "coolpunct_newline\n"; # print out a dummy line so we can re-connect the sentences belonging together in coolpunct-parsing-post.pl
}
