#!/bin/env perl

use strict;
use warnings;

my $separator_regexp = $ARGV[0];

my $outputmode = 0;
while (<STDIN>) {
  $outputmode = 0 if (/^ ?DATA[0-9A-Z]+ -/);
  $outputmode = 1 if (/^ ?DATA($separator_regexp) -/);
  print $_ if $outputmode;
}
