#!/bin/env perl
#Takes many condor files catted together
use strict;

my @commonList = ();
my @individual = ();
while (<STDIN>){
    my $line = $_;
    chomp($line);
    if ($line =~ m/^(Executable)|(Universe)|(notification)|(Requirements)|(SUSPEND)|(Getenv)|(Rank)|(Initial)/){
	push(@commonList, $line);
    }else{
	push(@individual, $line);
    }
    
}
my @unique = keys %{{ map { $_ => 1 } @commonList}};

print "#=========================================\n";
print "# CONDOR COMBO FILE\n";
print join("\n", @unique);
print "\n#=========================================\n";
print join("\n", @individual);
