#!/bin/perl
#convert multiple reference translations to a single line each separated by #
#indicate the number of references per source
my $numReferences = $ARGV[0];

my @refs = ();

while (<STDIN>){
    my $line = $_;
    chomp($line);
    #print "seen: $line\n";
    if (scalar(@refs)<$numReferences){
	#print "push back \n";
	push(@refs, $line);
    }else{
	print join('#',@refs), "\n";
	@refs= ();
	push(@refs, $line);
    }
}

