#!/bin/tcsh -f

set FILENAME = `expandfilename $1`;

# type of parser used
set parser = englishPCFG.ser.gz
#set parser = englishFactored.ser.gz

#set JAVA_HOME = /nfs/progress0/Users/Ashish/installs/jdk1.5.0_02/
#setenv variables to be able to use java for the standford segmenter

#setenv JDK_HOME  /afs/cs.cmu.edu/usr/nbach/jdk1.5.0_05
#setenv JAVA_HOME /afs/cs.cmu.edu/usr/nbach/jdk1.5.0_05
#setenv CLASSPATH /afs/cs.cmu.edu/usr/nbach/jdk1.5.0_05/jre/lib
#setenv PATH  ${JDK_HOME}/bin/:${PATH}

#alias java='/afs/cs.cmu.edu/usr/nbach/jdk1.5.0_05/bin/java'
#alias javac='/afs/cs.cmu.edu/usr/nbach/jdk1.5.0_05/bin/javac'

#First pre-process it for num tags
#cat $INDIR/$FILENAME | sed 's/\$num/DOLLARNUM\/CD/g; s/\$ordinal/DOLLARORDINAL\/CD/g' > $INDIR/$FILENAME.pp
  
# convert numtag to an actual number, say, 2
perl -pe 's/\bnumtag\b/2/g;' < $FILENAME > $FILENAME.numtagreplaced

cd /nfs/islpc7_2/ashishv/external-tools/stanford-parser/stanford-parser-2006-06-11/

#$JAVA_HOME/bin/java -server -mx1000m -cp 'stanford-parser.jar:' edu.stanford.nlp.parser.lexparser.LexicalizedParser -sentences newline -tokenized -tagSeparator / englishPCFG.ser.gz $INDIR/$FILENAME.pp > $OUTDIR/$FILENAME.parsed

java -server -mx1000m -cp 'stanford-parser.jar:' edu.stanford.nlp.parser.lexparser.LexicalizedParser -sentences newline -tokenized $parser $FILENAME.numtagreplaced | replace '^(.+)\n' '$1' | replace ' +' ' ' | replace '\(\)' '-LRB-)' | replace ' \)' ' -RRB-'

rm $FILENAME.numtagreplaced
