#!/usr/bin/env perl

# input format:
#? ||| and ||| 0-0
#? ?? ||| and salad ||| 0-0 1-1
#?? ||| salad ||| 0-0
#_sep ||| _sep ||| 0-0
#? ? ||| . that ||| 0-1 1-1
#...
#_sep ||| _sep ||| 0-0

use strict;
use warnings;


use Getopt::Long;
#my $truecount = 1;
#die if !GetOptions('truecount!' => \$truecount);

#print STDERR "Using truecount $truecount\n";
my $sentencenumber = 1;
print "_SentenceNumber#1#0 0 0 0\n";
while (<>){
    my $line = $_;
    chomp($line);
    my @parts = split(/( *\# *| *\|\|\| *)/, $line);
    my $src = $parts[0];
    my $tgt = $parts[2];
    
    if ($src eq '_sep' && $tgt eq '_sep') {
      $sentencenumber++;
      print "_SentenceNumber#$sentencenumber#0 0 0 0\n";
    } else {
      print "$src#$tgt#0 0 0 0\n";
    }
}
