#!/bin/bash

#ARG1: corpus file whose sentence lengths should be obtained
#ARG2: maximum allowable sentence length
#ARG3: corpus file to select sentences from
#ARG4: all sentences from file ARG3 whose sentences corresponded to ARG1's allowable sentences
#ARG5: all sentences from file ARG3 whose sentences corresponded to ARG1's too-long sentences
echo "Condition: \$_ <= $2"
CSIZE=`wc -l $1 | Col 1`
echo "Corpus Size: " ${CSIZE}
getsentencelengths < $1 |testlines.pl "\$_ <= $2" > tmp_allowed_lines
echo "Running: Split.pl tmp_allowed_lines $3 $CSIZE $4 $5"
Split.pl tmp_allowed_lines $3 $CSIZE $4 $5
#rm tmp_sentencelengths
