#!/bin/csh -f
#Takes in the part specification, runs rule extraction and spits back the file name that it generated
set PART = $1

#modfied to use data specific features
set EXTSCRIPT = extractrules.pl
set INPUTPARTS = /data/SMT2/TC_STAR/ashishv/tcstar-40parts/datasetlabelled/

set OUTDIR = /data/SMT2/TC_STAR/ashishv/tcstar-40parts/datasetlabelled-rules/


#set LEXDIR =  ${DATADIR}/posttests/ #NO LEXICON USED
set REST = /people/ashishv0/samt/tcstar/asr07test07dev07test06.utf8.segmented

set EXPNAME = "tcstar-dataspec" 

#NOTES:
#with the MaxSubstitutionCountAbstractRules = 0!!
#Using --IgnoreSourcePunctuationForRestriction
#MaxSubstitutionCount=2

#you must set output all rules because filterules is in charge of the merging
(cat ${INPUTPARTS}/${PART}.log |  ${EXTSCRIPT} --TargetParseTreeFile ${INPUTPARTS}/${PART}.parse --PhrasePairFeedFile - -r ${REST} --MaxSourceLength 30 --MaxSourceWordCount=8 --MaxTargetWordCount=12 --noTightSubRules --MaxSourceSymbolCount=8 --MaxTargetSymbolCount=12 --MaxSubstitutionCount=2 --MaxSubstitutionCountAbstractRules=0 --nokeepunbalancedrules --CacheSize=2400 --tmpdir=/data/SMT2/TC_STAR/expsamt --ConsolidationInterval=1000000000 --PhrasePairSpanInfo --IgnoreSourcePunctuationForRestriction --DataTypeCount 12 --outputauto ${OUTDIR}/${PART}.${EXPNAME}) >& ${OUTDIR}/${PART}.${EXPNAME}.runerr
head -n 100 ${OUTDIR}/${PART}.${EXPNAME}.runerr | fgrep 'OUTPUTFILE' | awk '{print $2}'
