#!/bin/tcsh -f

source ~/bin/use64bit

#cd /nfs/islpc7_1/Andreas/andi2/europarlbaseline/
#cd /nfs/islpc3_7/home/berkdb/europarlbaseline2
cd /project/Gale/samt/nist
echo "runnewextracrules-64bit.sh running on $HOST"

#cp model/phrase-table.db /tmp
#perl -Sw extractrules.pl europarl.fr-en.fr europarl.fr-en.en targetparsetrees none 7 7 7 7 3 --MaxLengthSingleCountSourcePhrases=3 --outputdbfile=extractedrules-7-7-7-7-3-from$1 --cachesize=1800 --tmpdir=/tmp --usephrasetable=model/phrase-table.db --StartSentence=$1 --StopSentence=$2 >&log-7-7-7-7-3-from$1 

#(perl -Sw extractrules.pl /nfs/islpc7_1/Andreas/andi2/europarlexpwithmodels/europarl.fr-en.fr europarl.fr-en.en targetparsetrees none 7 7 7 7 0 --MaxLengthSingleCountSourcePhrases=3 --cachesize=2200 --tmpdir=/tmp --usephrasetable=model/phrase-table.db --StartSentence=$1 --StopSentence=$2 | gzip > extractedrules-7-7-7-7-0-from$1.gz ) >&log-7-7-7-7-0-from$1 &

#normal mode
#(zcat model-grow-diag-final-length12/phrase-table.db.txt.gz | perl -Sw extractrules.pl /nfs/islpc7_1/Andreas/andi2/europarlexpwithmodels/europarl.fr-en.fr /nfs/islpc7_1/Andreas/andi2/europarlexp/europarl.fr-en.en /nfs/islpc7_1/Andreas/andi2/europarlexpwithmodels/targetparsetrees none 7 7 7 7 2 -r=/nfs/islpc7_1/Andreas/SBMT/examples/europarlnew/test500andrealtest2000.fr --cachesize=2400 --tmpdir=/tmp --usephrasetabletxt=- --StartSentence=$1 --StopSentence=$2 | gzip > xxunion-length12-extractedrules-test500andrealtest2000-7-7-7-7-2-from$1.gz ) >& log-xxunion-length12-7-7-7-7-2-from$1 &

#chiang mode ( no parses passed)
#(zcat model-grow-diag-final-length12/phrase-table.db.txt.gz | perl -Sw extractrules.pl /nfs/islpc7_1/Andreas/andi2/europarlexpwithmodels/europarl.fr-en.fr /nfs/islpc7_1/Andreas/andi2/europarlexp/europarl.fr-en.en 0 none 7 7 7 7 2 -r=/nfs/islpc7_1/Andreas/SBMT/examples/europarlnew/test2000andrealtest2000.fr --cachesize=2400 --tmpdir=/tmp --usephrasetabletxt=- --StartSentence=$1 --StopSentence=$2 | gzip > chiang-growdiagfinal-length12-extractedrules-test2000andrealtest2000-7-7-7-7-2-from$1.gz ) >& log-chiang-growdiagfinal-length12-7-7-7-7-2-from$1 

#(zcat model-grow-diag-final-length12/phrase-table.db.txt.gz | perl -Sw extractrules.pl --noUseHashCode /nfs/islpc7_1/Andreas/andi2/europarlexpwithmodels/europarl.fr-en.fr /nfs/islpc7_1/Andreas/andi2/europarlexp/europarl.fr-en.en 0 none 5 5 5 5 2 -r=/nfs/islpc7_1/Andreas/SBMT/examples/europarlnew/test2000andrealtest2000.fr --cachesize=2400 --tmpdir=/tmp --usephrasetabletxt=- --StartSentence=$1 --StopSentence=$2 | gzip > chiang-growdiagfinal-length12-extractedrules-test2000andrealtest2000-5-5-5-5-2-from$1.gz ) >& log-chiang-growdiagfinal-length12-5-5-5-5-2-from$1 

#(zcat model/phrase-table.db.txt.gz | perl -Sw extractrules.pl model/aligned.ch model/aligned.en --TargetParseTreeFile aligned.stanfordparses --MaxSourceWordCount=7 --MaxTargetWordCount=7 --MaxSourceSymbolCount=7 --MaxTargetSymbolCount=7 --MaxSubstitutionCount=2 --CacheSize=2400 --tmpdir=/tmp --UsePhrasetableTxt=- --ConsolidationInterval=1000001 -r last90-and-mt05.src.numtag-and-mt03-mt06.raw.utf8.step3e --MaxSourceLength=12 --StartSentence=$1 --StopSentence=$2 | gzip > galetrack-extractedrules-7-7-7-7-2-from$1.gz ) >& log-galetrack-extractrules-from$1 &

(zcat model/phrase-table.db.txt.gz | perl -Sw extractrules.pl model/aligned.ch model/aligned.en --MaxSourceWordCount=7 --MaxTargetWordCount=7 --MaxSourceSymbolCount=7 --MaxTargetSymbolCount=7 --MaxSubstitutionCount=2 --CacheSize=2400 --tmpdir=/tmp --UsePhrasetableTxt=- --ConsolidationInterval=1000001 -r allmt0306nist --MaxSourceLength=12 --StartSentence=$1 --StopSentence=$2 | gzip > extractedrules-7-7-7-7-2-from$1.gz ) >& log-extractrules-from$1 &
