#!/bin/env perl

# output all rules in file $1 that do not occur in file $2

# set this to 1 if u only want to compare source and target side, not result NT
my $IgnoreResultCat=1;

use warnings;


open(FILE1, "< $ARGV[0]");
while (<FILE1>) {
  my @r = split '#';
  my $key = join(' ',@r[0..2-($IgnoreResultCat?1:0)]);
  if (exists($rules{$key})) {
    $rules{$key} .= $_;
  } else {
    $rules{$key} = $_;
  }
}

open(FILE2, "< $ARGV[1]");
while (<FILE2>) {
  my @r = split '#';
  my $key = join(' ',@r[0..2-($IgnoreResultCat?1:0)]);
  delete $rules{$key} if exists($rules{$key});
}
while (my ($key, $value) = each %rules) {
  print $value;
}
