
// types.hh
//

#ifndef __types__
#define __types__

#define NSZ 4

//#include <sys/types.h>
#include <hashdefs.h>

// static char rcsid_types_hh[] = "$Id: Types.hh,v 1.2 2004/03/17 20:12:26 ashishv Exp $ Copyright Lehrstuhl fuer Informatik VI, Aachen, 1996";

#pragma warning(disable : 4018) 
#pragma warning(disable : 4244) 
#pragma warning(disable : 4267)
#pragma warning(disable : 4305)
#pragma warning(disable : 4309)
#pragma warning(disable : 4800)
#pragma warning(disable : 4804)

typedef unsigned char    uchar;
typedef signed char      schar;
typedef unsigned short   ushort;
typedef unsigned int     uint;
typedef unsigned long    ulong;


class CharHash
{

public:

	enum{
  bucket_size=4,
  min_buckets=8};

  size_t operator()(const char * str) const
  {
	 int size = strlen(str);
      int h = 0; 
      for(int i = 0; i < size; i++) {
        h = 5 * h + str[i];
      }
      return h;
	
  }

  bool operator()(const char * left , const char * right) const
  {
	  if (strcmp(left, right) <= 0){
		return false;
	  }else{
		return true;
	  }
  }


};

/*
  #ifdef __GNUC__ // bool, true, false, true, false schon definiert
  #include <bool.h>
  typedef bool bool;
  #else
  */

/*
  #endif // __GNUC__
  */

#endif

