//return a normalized version of the string
#include <Types.hh>
#include <pstream.h>

using namespace std;

redi::pstream* pbuf_global;
bool pbuf_global_inited=false;

std::string InitializePBUF(const char* NormalizingScript){
  cout<<"Open perl normalizing script:"<<NormalizingScript<<endl;
  //std::stringstream ssperl(stringstream::in | stringstream::out);
  //ssperl<<"perl "<<NormalizingScript;
  //string perlNormalizer = ssperl.str();
  pbuf_global = new redi::pstream();
  string perlNormalizer = "perl " + string(NormalizingScript);
  //cout<<"Line: "<<perlNormalizer<<endl;
  pbuf_global->open(perlNormalizer, std::ios_base::out | std::ios_base::in);
  //cout<<"Opened: "<<perlNormalizer<<endl;
  if (!pbuf_global->good()){
    cout<<"Unable to open normalizing script:"<<perlNormalizer<<endl;
    exit(-1);
  }
  cout<<"Initialization complete\n";
  pbuf_global_inited = true;

}

std::string ClosePBUF(){
  if (pbuf_global->good()){
    pbuf_global->flush();
    cout<<"pbuf flushed\n";
    pbuf_global->close();
    cout<<"pbuf closed\n";
  }
}
std::string NormalizeStringPBUF(std::string inputString){
  //cout<<"inputString:"<<inputString<<endl;
  if (!pbuf_global_inited){
    //cout<<"not initialized"<<endl;
    return inputString;
  }
  if (pbuf_global->good()){
    *pbuf_global<<inputString<<"\n\r";
    pbuf_global->flush();
    
    std::string str;
    //pbuf.getLine();
    std::getline(pbuf_global->out(), str);
    //cout<<"returnString:"<<str<<endl;
    return str;
  }else{
    //cout<<"not good"<<endl;
    return inputString;
  }
  //cout<<"never here"<<endl;
  return inputString;
}
