#ifndef __types__
#define __types__

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif
#include <fortify.h>
// types.hh
//


//#include <sys/types.h>

//! n.o. characters maximum when reading in a line
#define MAXBUF 100000
//az: now a static variable in ParserInfo.hh: #define C_HistoryLength 2 //history length for the language model

typedef unsigned char    uchar;
typedef signed char      schar;
typedef unsigned short   ushort;
typedef unsigned int     uint;
typedef unsigned long    ulong;


#define MIN(a,b) (((a)<(b))?(a):(b))
#define MAX(a,b) (((a)>(b))?(a):(b))
#define SIGN(a) (((a)<(0))?(-1): (a==0)?(0):(+1))

//global text normalization
std::string NormalizeStringPBUF(std::string inputString);
std::string InitializePBUF(const char* NormalizingScript);
std::string ClosePBUF();


//#include <Bool.hh>
#endif

