#!/bin/csh -f

set INSTALL_ROOT = /nfs/islpc7_2/ashishv/external-tools
set BDB = $INSTALL_ROOT/db-4.4.20/build_unix

#standard O2 version linking into SRI lm via NFS -WITH assertions turned on
./configure CXXFLAGS="-O2 -DHAVE_CXX_STDHEADERS -I${BDB}/include/" LDFLAGS="-L${BDB}/lib -ldb_cxx"

#standard g version linking into SRI lm via NFS
#./configure CXXFLAGS="-g -DHAVE_CXX_STDHEADERS -I${BDB}/include/" LDFLAGS="-L${BDB}/lib -ldb_cxx"


#with profiling on progress
#./configure CXXFLAGS="-g -pg -DHAVE_CXX_STDHEADERS -I${BDB}/include/" LDFLAGS="-L${BDB}/lib -ldb_cxx -L/usr/lib -lc_p"



