#!/bin/csh -f

set INSTALL_ROOT = /nfs/islpc7_2/ashishv/external-tools
set BDB = $INSTALL_ROOT/db-4.4.20/build-unix64
#set SRI_LIB = $INSTALL_ROOT/sri/lib/i686-m64


#standard O2 version WITHOUT assertions turned on
#./configure CXXFLAGS="-O2 -DNDEBUG -DHAVE_CXX_STDHEADERS -DINSTANTIATE_TEMPLATES -I$BDB/include/" LDFLAGS="-L${BDB}/lib -ldb_cxx"

#old:# /nfs/islpc7_2/ashishv/external-tools/db-4.4.20/build-unix64//include/' 'LDFLAGS=-L/nfs/islpc7_2/ashishv/external-tools/db-4.4.20/build-unix64//lib -ldb_cxx'
#old# ./configure CXXFLAGS="-O2 -DHAVE_CXX_STDHEADERS -I${BDB}/include/" LDFLAGS="-L${BDB}/lib -ldb_cxx"

#standard g version
./configure CXXFLAGS="-g -DHAVE_CXX_STDHEADERS -DINSTANTIATE_TEMPLATES -I$BDB/include/" LDFLAGS="-L${BDB}/lib -ldb_cxx"

#standard g version - 32 bit
#./configure CXXFLAGS="-g -m32 -DHAVE_CXX_STDHEADERS -DINSTANTIATE_TEMPLATES -I$BDB/include/" LDFLAGS="-L${BDB}/lib -ldb_cxx"


#with profiling on progress
#./configure CXXFLAGS="-g -pg -DHAVE_CXX_STDHEADERS -DINSTANTIATE_TEMPLATES -I$BDB/include/" LDFLAGS="-L${BDB}/lib -ldb_cxx"




