# faster perl-alternative to Log2Phrasetable.sh


use warnings;
use strict;

while ( <> ) {
  # we want lines such as:
  # edge (0-1) Word=@PESA-MS Score=0 StartFrame=0 EndFrame=0 { aosj # are doing a # 8.4559 } [0.205338, 0.756804, 0.817057, 1.34447, 3.30559, 2.02664]

  if ( /^edge[^{]*\{ ([^\#]*\#[^\#]*\#)[^}]*\} \[([^\]]*)\]/ ) {
    # $1 is now "aosj # are doing a #"
    # $2 is now "0.205338, 0.756804, 0.817057, 1.34447, 3.30559, 2.02664"
    my $a = $1;
    my $b = $2;
    $b =~ s/,//g;
    print "$a$b\n";
  } else {
    die "Format error in log file!" if /^edge.*\] *$/ ; # just a sanity test
  }
}
