#!/bin/env perl
#Replaces all the kinds of numtags that can show up in src or tgt
while (<STDIN>){
    my $line = $_;
    chomp($line);
    my @parts = split(/\#/, $line);
    my $src = $parts[0];
    my $tgt = $parts[1];
    $src = replaceTags($src);
    $tgt = replaceTags($tgt);
    print "$src # $tgt\n";
}

sub replaceTags{
    my ($line) = @_;
    #print "Line: $line\n";
    my @words = split(/\s+/, $line);    
    my @repwords = map { $wd = $_; $wd =~ s/\$[a-zA-Z]+\_\([^\(]+\)/numtag/g; $wd; } @words;
    my $ret = join(' ', @repwords);
    return $ret;
}

