#!/bin/tcsh -f

set andi2 = /nfs/islpc7_1/Andreas/andi2
set ruledbpath = $andi2/europarlbaseline
set ruledb = $1
set stagingdir = $2
set testsets = $3
set realtestsets = $4
set lm = /nfs/islpc7_2/ashishv/research/trunk/tools/SBMT/examples/europarlnew/europarl.en

mkdir -p $stagingdir
echo "hi\nthere" > $stagingdir/All.voc
#!!perl -Sw db2rules.pl $ruledbpath/$ruledb | HtdToTD.sh | ConvertLogTDtoProbs.pl > $stagingdir/$ruledb.td

BuildME-teststtkonsbmt.sh none none $lm $testsets.fr $testsets.en none $stagingdir 0 0 0 0 1 1 IBMBLEU --NumReferences=1_--LengthOfReorderingWindow=3_--ReorderingsPerWord=0.2 $stagingdir/$ruledb.td

echo "\n\nDoing real-testset testing now...\n\n"
BuildME-teststtkonsbmt.sh none none $lm $realtestsets.fr $realtestsets.en none $stagingdir 0 0 0 0 1 0 IBMBLEU --NumReferences=1_--LengthOfReorderingWindow=3_--ReorderingsPerWord=0.2 $stagingdir/$ruledb.td

