#!/bin/csh -f
set DB = $1
set PARAMS = $2 # feature weights
set WORKERBEE = $3 #where this instance will write too
set TIMEOUT = $4

if (! -e ${WORKERBEE} ) then
    mkdir ${WORKERBEE}
endif

set ADDITIONAL = " --FeatureWeightsParsing ${PARAMS} --MEROptimize=0 --WorkerBeeDir ${WORKERBEE} --MaxSentenceProcessingTime ${TIMEOUT} "

set SBMT = /usr2/ashishv/SBMT/
set IWSLT = /usr2/ashishv/emnlp2007/iwslt/

#set ADDITIONAL = "${ADDITIONAL} --SentenceList ${IWSLT}/devset.utf8.100 --ReferenceList ${IWSLT}/devset.en.100 "

source ${SBMT}/dist/mt-malbec.sh
echo "${SBMT}/O2-64/FastTranslateChart -f ${IWSLT}/proper.param --RuleDB ${DB} ${ADDITIONAL}"
sleep 2
${SBMT}/O2-64/FastTranslateChart -f ${IWSLT}/proper.param --RuleDB ${DB} ${ADDITIONAL}

