#!/usr/bin/env perl
use strict;
use Getopt::Long;
my $plist = ",:";
die if !GetOptions("list=s" => \$plist);
while (<STDIN>){
    chomp;
    my @parts = split('#', $_);
    my $src = $parts[0];
    #replace the punctuation specified with a space
    $src =~ s/[$plist]/ /g;
    $src =~ s/\s+/ /g;
    $src =~ s/\s+$//g;
    $src =~ s/^\s+//g;

    #if there is still stuff left at the end, print it
    if (length($src)>0){
	$parts[0] = $src;
	print join('#', @parts), "\n";
    }else{
	#there was only punctuation on the src
	print join('#', @parts), "\n";
    }
}
