#!/bin/perl
#Restrict the phrases to have at most $pruneSource words on the source side, and $pruneTarget on the target side
#
my $pruneSource = $ARGV[0];
my $pruneTarget = $ARGV[1];

while (<STDIN>){
    my $oneLine = $_;
    chomp($oneLine);
    if ($oneLine =~ m/\@(.*) \# (.*) \# (.*) \# (.*)/){
	#print "Source: $2 \n";
	my $source = $2;
	my $target = $3;
        my @sourceWords = split(/ /, $source);
        my @targetWords = split(/ /, $target);
	if ((scalar(@sourceWords)<=$pruneSource) && (scalar(@targetWords)<$pruneTarget)){
	    print $oneLine, "\n";
	}
    }

}
