#!/bin/tcsh -f

# restrictparses.sh aligned.en parses.en
# Output: parses in parses.en whose yields match the sentences in aligned.en, such that we have a one-to-one correspondence of lines in aligned.en and parses.en
# creates a tmp file in current working directory

#parses2yields.sh < $2 | replace '\$num|[0-9]+' '' > tmp.parseyields
replace '\$num|[0-9]+' '' < $1 | diff --speed-large-files -ibn tmp.parseyields - | tee tmp.difflogfile | perl -S restrictparses.pl $2
