# takes 'Got' lines and runs translation on them over-riding
#the parameters in the given file


my $TRANSLATETS = "/nfs/dish2/ashishv/Production/STTK2K4/bin/TranslateTS";

my $baseParamFile = $ARGV[0];

while (<STDIN>){
    my $oneLine = $_;
    chomp($oneLine);

    if ($oneLine =~ m/Got Scaling: \(m0\) (.*) \(m1\) (.*) \(m2\) (.*) \(m3\) (.*) \(m4\) (.*) \(m5\) (.*) \(m6\) (.*) \(m7\) (.*)/){
	my $additions =  "---TMScale=".$1."--LMScale=".$2." ALScale=".$3." --SLScale=".$4." --PharaohPhraseP1=".$5." --PharaohPhraseP2=".$6." --PharaohPhraseP3=".$7." --PharaohPhraseP4=".$8;
	print "Additions: ", $additions, "\n";
	my $runLine = $TRANSLATETS." -f $baseParamFile $additions";
	print $runLine, "\n";
    }else{
	print "Not Parsing: ", $oneLine, "\n";
    }

}
