#!/bin/perl

use strict;
use Getopt::Long;


my $glueloc = 0;
my $ruleloc = 1;
my $numterloc = 2;
my $numscores = -1;
my $category = "\@_X";
die if !GetOptions('glueloc=s' => \$glueloc, 'ruleloc=s' => \$ruleloc, 'numterloc=s' => \$numterloc, 'numscores=s' => \$numscores, 'category=s' => \$category);

if ($numscores==-1){
    print "ERROR you must provide numscores\n";
    exit;
}

my @samtScores = ();
for (my $i=0; $i<$numscores; $i++){
    push(@samtScores, 0.0);
}
#glue, rule app count are the same across all rules
$samtScores[$glueloc] = 0;
$samtScores[$ruleloc] = 1;

while (<STDIN>){
    my $line = $_;
    chomp($line);
    # remove possible words starting with @
    $line =~   s/\B\@//g; # all @ that are not preceded by a letter or number

    my @parts = split(/ *\# */, $line);
    
    my $scores =  $parts[3];
    my $target =  $parts[2];
# now done within split above:
#    $target =~ s/^\s+//go;
#    $target =~ s/\s+$//go;

    $samtScores[$numterloc] = countTerminals($target);
    
    
    $parts[3] = "$category\#".join(' ', @samtScores)." 1.000". $scores;
    #remove the @TAG
    shift(@parts);
    my $finalString = join('#', @parts);
    $finalString =~ s/^\s+//go;
    $finalString =~ s/\s+$//go;
    print $finalString, "\n";
}

sub countTerminals{
    my ($str) =@_;
    my @parts = split(' ', $str);
    my $count = 0;
    foreach my $p (@parts){
	if ($p =~ m/^@/){
	    
	}else{
	    $count++;
	}
    }
    return $count;
}
