#!/bin/tcsh -f
#Assumes that you are already in the appropriate directory - taken from the script name in the calling script

set WORKINGDIR = $1;
set LINESPERPART = $2;



pushd ${WORKINGDIR}
shift #removes the working dir
shift #removes the lines per part
set RUNLINE = "$*";

#now the splitting happens in this working directory
split -a4 -dl $LINESPERPART
#the input data is ready now
    
    #use an automatically generate log file name
    foreach p (x[0-9][0-9][0-9][0-9])
	#condorsubmit-32bit.sh 1 cond.${p} "cat ${p} | $RUNLINE > out.$p" | stdin2stderr	
	echo "${CONDOR} cond.${p} "'"'"cat ${p} | $RUNLINE > out.$p"'"'
	${CONDOR} cond.${p} "cat ${p} | $RUNLINE > out.$p" | stdin2stderr
    end
#the filenames are available...


    #now.. wait for all the log files that this submission has generated
    #the script may or may not have actually generated any clog files
    sleep 10
    echo "WAITING for runs with: $RUNLINE"
    ls cond*clog | condorwaitforlogs.sh
#cat out.*
popd #get out of that directory
